Bug 1467312 - mariadb library change causes FTBFS
mariadb library change causes FTBFS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks: 1467297
  Show dependency treegraph
 
Reported: 2017-07-03 07:13 EDT by Augusto Caringi
Modified: 2017-09-14 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: exim-4.89-5.fc26 exim-4.89-2.el6 exim-4.89-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 10:53:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow compilation of exim with MariaDB 10.2 (307 bytes, patch)
2017-07-03 07:13 EDT, Augusto Caringi
no flags Details | Diff

  None (edit)
Description Augusto Caringi 2017-07-03 07:13:16 EDT
Created attachment 1293846 [details]
Patch to allow compilation of exim with MariaDB 10.2

Trying to build exim with the new version of MariaDB 10.2 causes an error:

mysql.c: In function 'mysql_version_report':
mysql.c:437:9: error: 'MYSQL_SERVER_VERSION' undeclared (first use in this function); did you mean 'MYSQL_PS_CONVERSION'?
         MYSQL_SERVER_VERSION, MYSQL_COMPILATION_COMMENT,
         ^~~~~~~~~~~~~~~~~~~~
         MYSQL_PS_CONVERSION
mysql.c:437:9: note: each undeclared identifier is reported only once for each function it appears in
mysql.c:437:31: error: 'MYSQL_COMPILATION_COMMENT' undeclared (first use in this function); did you mean 'MYSQL_INIT_COMMAND'?
         MYSQL_SERVER_VERSION, MYSQL_COMPILATION_COMMENT,
                               ^~~~~~~~~~~~~~~~~~~~~~~~~
                               MYSQL_INIT_COMMAND

In this new version of MariaDB they introduced a new mariadb_version.h header and mysql.h includes this header instead of mysql_version.h.
But the mysql_version.h is still present.

Analyzing how this problem was fixed in another project (https://github.com/brianmario/mysql2/issues/851), I'm attaching a patch proposal to fix the problem.

We are tracking all the possible problems regarding this MariaDB upgrade in the bug 1467297.

Copr build: https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/package/exim/
Comment 1 Petr Pisar 2017-07-20 01:41:21 EDT
exim-4.89-2.fc27 is affected.
Comment 2 Jan Kurik 2017-08-15 03:54:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Jaroslav Škarvada 2017-08-18 10:02:13 EDT
Thanks for the patch, I also proposed it to exim upstream:
https://github.com/Exim/exim/pull/56
Comment 4 Fedora Update System 2017-08-18 11:21:02 EDT
exim-4.89-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5177f3a16
Comment 5 Fedora Update System 2017-08-18 11:29:28 EDT
exim-4.89-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8c25bd6d7
Comment 6 Fedora Update System 2017-08-18 11:37:55 EDT
exim-4.89-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-01dbc69547
Comment 7 Fedora Update System 2017-08-20 20:18:49 EDT
exim-4.89-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-01dbc69547
Comment 8 Fedora Update System 2017-08-20 20:19:46 EDT
exim-4.89-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8c25bd6d7
Comment 9 Fedora Update System 2017-08-22 14:06:06 EDT
exim-4.89-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5177f3a16
Comment 10 Fedora Update System 2017-08-31 10:53:37 EDT
exim-4.89-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-09-14 16:18:54 EDT
exim-4.89-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-09-14 16:20:04 EDT
exim-4.89-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.